Module javafx.graphics
Package javafx.css

# Class CssParser.ParseError.PropertySetError

java.lang.Object
javafx.css.CssParser.ParseError
javafx.css.CssParser.ParseError.PropertySetError

Enclosing class:
  `CssParser.ParseError`

public static final class CssParser.ParseError.PropertySetError extends CssParser.ParseError
Encapsulates errors arising from applying a style to a Node.

## Nested Class Summary

## Nested classes/interfaces inherited from class javafx.css.CssParser.ParseError

`CssParser.ParseError.InlineStyleParsingError, CssParser.ParseError.PropertySetError, CssParser.ParseError.StringParsingError, CssParser.ParseError.StylesheetParsingError`

## Constructor Summary

Constructors
Constructor
Description
`PropertySetError(CssMetaData styleableProperty, Styleable styleable, String message)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class javafx.css.CssParser.ParseError

`getMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PropertySetError

public PropertySetError(CssMetaData styleableProperty, Styleable styleable, String message)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `CssParser.ParseError`